package com.mortals.xhx.module.attendance.model.vo;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.attendance.model.AttendanceGroupEntity;
import com.mortals.xhx.module.attendance.model.AttendanceGroupFixedworkEntity;
import com.mortals.xhx.module.attendance.model.AttendanceGroupFixedworkSpecialEntity;
import com.mortals.xhx.module.attendance.model.AttendanceGroupResponsibleEntity;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;
/**
* 考勤组信息视图对象
*
* @author zxfei
* @date 2023-04-08
*/
@Data
public class AttendanceGroupVo extends BaseEntityLong {

    /**
     * 考勤组班次实体类
     */
    private AttendanceGroupFixedworkEntity attendanceGroupFixedworkEntity;

    /**
     * 考勤组固定班次特殊日期配置
     */
    private List<AttendanceGroupFixedworkSpecialEntity> fixedworkSpecial;


    private AttendanceGroupResponsibleEntity groupResponsibleEntity;
}
